# Uses of Interface
net.sourceforge.jiu.color.data.Histogram1D

Packages that use Histogram1D
Package
Description
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.data
net.sourceforge.jiu.color.io

## Uses of Histogram1D in net.sourceforge.jiu.color.analysis

Fields in net.sourceforge.jiu.color.analysis declared as Histogram1D
Modifier and Type
Field
Description
`private Histogram1D`
Histogram1DCreator.`hist`
Methods in net.sourceforge.jiu.color.analysis that return Histogram1D
Modifier and Type
Method
Description
`Histogram1D`
Histogram1DCreator.`getHistogram()`
Returns the histogram used in this operation.
Methods in net.sourceforge.jiu.color.analysis with parameters of type Histogram1D
Modifier and Type
Method
Description
`void`
Histogram1DCreator.`setHistogram(Histogram1D histogram)`
Sets a histogram object to be used for this operation.

## Uses of Histogram1D in net.sourceforge.jiu.color.data

Classes in net.sourceforge.jiu.color.data that implement Histogram1D
Modifier and Type
Class
Description
`class`
`ArrayHistogram1D`
A one-dimensional histogram data class that stores its counters in memory.

## Uses of Histogram1D in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io with parameters of type Histogram1D
Modifier and Type
Method
Description
`static void`
HistogramSerialization.`save(Histogram1D hist, PrintStream out)`
Saves a one-dimensional histogram to a text output stream.